PdfException (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class PdfException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              edu.harvard.hul.ois.jhove.module.pdf.PdfException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PdfInvalidException, PdfMalformedException

    public abstract class PdfException

extends java.lang.Exception

Abstract exception subclass used internally by the PDF module. Throwing a PDFException indicates that the document is ill-formed or invalid; use the appropriate subclass to indicate which.

See Also:
  Serialized Form

Constructor Summary
`PdfException(java.lang.String m)` Create a PdfException.
`PdfException(java.lang.String m, long offset)` Create a PdfException with specified offset.
`PdfException(java.lang.String m, long offset, Token token)` Create a PdfException with specified offset and token.

Method Summary
`abstract void` | `disparage(RepInfo info)` Performs the appropriate disparagement act on a RepInfo object, such as setting the valid or well-formed flag to `false`.
`long` | `getOffset()` Returns the offset at which the exception occurred.
`Token` | `getToken()` Return the token associated with the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PdfException

    public PdfException(java.lang.String m)

  Create a PdfException.

### PdfException

    public PdfException(java.lang.String m,
                        long offset)

  Create a PdfException with specified offset.

### PdfException

    public PdfException(java.lang.String m,
                        long offset,
                        Token token)

  Create a PdfException with specified offset and token.

Method Detail

### getOffset

    public long getOffset()

  Returns the offset at which the exception occurred.

### getToken

    public Token getToken()

  Return the token associated with the exception.

### disparage

    public abstract void disparage(RepInfo info)

  Performs the appropriate disparagement act on a RepInfo object, such as setting the valid or well-formed flag to `false`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD